# `OCCT_jll.jl` (v7.6.2+2)

[![deps](https://juliahub.com/docs/OCCT_jll/deps.svg)](https://juliahub.com/ui/Packages/OCCT_jll/POZRS?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/e78f6ab09bfd166e82b8224c693c833e445fc30a/O/OCCT/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `OCCT_jll.jl` have been built from these sources:

* git repository: https://github.com/Open-Cascade-SAS/OCCT.git (revision: `bb368e271e24f63078129283148ce83db6b9670a`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/e78f6ab09bfd166e82b8224c693c833e445fc30a/O/OCCT/bundled)

## Platforms

`OCCT_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc}` (`aarch64-linux-gnu-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc}` (`aarch64-linux-gnu-cxx11`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl}` (`aarch64-linux-musl-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl}` (`aarch64-linux-musl-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl}` (`armv7l-linux-musleabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl}` (`armv7l-linux-musleabihf-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc}` (`i686-linux-gnu-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc}` (`i686-linux-gnu-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl}` (`i686-linux-musl-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl}` (`i686-linux-musl-cxx11`)
* `Windows i686 {cxxstring_abi=cxx03}` (`i686-w64-mingw32-cxx03`)
* `Windows i686 {cxxstring_abi=cxx11}` (`i686-w64-mingw32-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc}` (`powerpc64le-linux-gnu-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc}` (`powerpc64le-linux-gnu-cxx11`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl}` (`x86_64-linux-musl-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl}` (`x86_64-linux-musl-cxx11`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64 {cxxstring_abi=cxx03}` (`x86_64-w64-mingw32-cxx03`)
* `Windows x86_64 {cxxstring_abi=cxx11}` (`x86_64-w64-mingw32-cxx11`)

## Dependencies

The following JLL packages are required by `OCCT_jll.jl`:

* [`FreeType2_jll`](https://github.com/JuliaBinaryWrappers/FreeType2_jll.jl)
* [`Libglvnd_jll`](https://github.com/JuliaBinaryWrappers/Libglvnd_jll.jl)
* [`Xorg_libX11_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libX11_jll.jl)
* [`Xorg_libXext_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXext_jll.jl)
* [`Xorg_libXfixes_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXfixes_jll.jl)
* [`Xorg_libXft_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXft_jll.jl)
* [`Xorg_libXinerama_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXinerama_jll.jl)
* [`Xorg_libXrender_jll`](https://github.com/JuliaBinaryWrappers/Xorg_libXrender_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libTKBO`
* `LibraryProduct`: `libTKBRep`
* `LibraryProduct`: `libTKBin`
* `LibraryProduct`: `libTKBinL`
* `LibraryProduct`: `libTKBinXCAF`
* `LibraryProduct`: `libTKBool`
* `LibraryProduct`: `libTKCAF`
* `LibraryProduct`: `libTKCDF`
* `LibraryProduct`: `libTKFeat`
* `LibraryProduct`: `libTKFillet`
* `LibraryProduct`: `libTKG2d`
* `LibraryProduct`: `libTKG3d`
* `LibraryProduct`: `libTKGeomAlgo`
* `LibraryProduct`: `libTKGeomBase`
* `LibraryProduct`: `libTKHLR`
* `LibraryProduct`: `libTKIGES`
* `LibraryProduct`: `libTKLCAF`
* `LibraryProduct`: `libTKMath`
* `LibraryProduct`: `libTKMesh`
* `LibraryProduct`: `libTKOffset`
* `LibraryProduct`: `libTKPrim`
* `LibraryProduct`: `libTKRWMesh`
* `LibraryProduct`: `libTKSTEP`
* `LibraryProduct`: `libTKSTEP209`
* `LibraryProduct`: `libTKSTEPAttr`
* `LibraryProduct`: `libTKSTEPBase`
* `LibraryProduct`: `libTKSTL`
* `LibraryProduct`: `libTKService`
* `LibraryProduct`: `libTKShHealing`
* `LibraryProduct`: `libTKTopAlgo`
* `LibraryProduct`: `libTKV3d`
* `LibraryProduct`: `libTKVCAF`
* `LibraryProduct`: `libTKVRML`
* `LibraryProduct`: `libTKXCAF`
* `LibraryProduct`: `libTKXDEIGES`
* `LibraryProduct`: `libTKXDESTEP`
* `LibraryProduct`: `libTKXMesh`
* `LibraryProduct`: `libTKXSBase`
* `LibraryProduct`: `libTKXml`
* `LibraryProduct`: `libTKXmlL`
* `LibraryProduct`: `libTKXmlXCAF`
* `LibraryProduct`: `libTKernel`
